Bug 23502 - Staff client "revert status" buttons should not depend on SuspendHoldsIntranet preference
Summary: Staff client "revert status" buttons should not depend on SuspendHoldsIntrane...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 21608
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-23 16:30 UTC by Owen Leonard
Modified: 2019-09-24 20:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23502: Staff client "revert status" buttons should not depend on SuspendHoldsIntranet preference (4.57 KB, patch)
2019-08-23 16:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23502: Staff client "revert status" buttons should not depend on SuspendHoldsIntranet preference (4.56 KB, patch)
2019-08-23 18:53 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23502: Staff client "revert status" buttons should not depend on SuspendHoldsIntranet preference (4.62 KB, patch)
2019-08-30 13:47 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-08-23 16:30:09 UTC
Bug 21608 added buttons to revert the in transit or waiting statuses of holds in the staff client. However, the markup for the button is inside a check for the SuspendHoldsIntranet preference:

[% IF SuspendHoldsIntranet %]

I think this is unintentional. The buttons should be available even if a library has SuspendHoldsIntranet disabled.
Comment 1 Owen Leonard 2019-08-23 16:52:28 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-08-23 18:53:20 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2019-08-30 13:47:56 UTC
Created attachment 92508 [details] [review]
Bug 23502: Staff client "revert status" buttons should not depend on SuspendHoldsIntranet preference

This bug corrects the template logic controlling the display of the
"Revert waiting status" and "Revert transit status" buttons on the staff
client holds page so that it doesn't depend on having
SuspendHoldsIntranet enabled.

To test, apply the patch and locate a title which has multiple holds,
including:

  - One waiting hold
  - One in-transit hold
  - At least one pending hold

View the page with the SuspendHoldsIntranet preference both on and off.
The "Revert transit status" and "Revert waiting status" buttons should
be displayed either way.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Martin Renvoize 2019-09-06 12:12:37 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-09-09 06:59:34 UTC
Pushed to 19.05.x for 19.05.04
Comment 6 Lucas Gass 2019-09-24 20:26:16 UTC
backported to 18.11.x for 18.11.10